# SimplifyTools
# Config file
#
#   REMOVING SETTINGS MAY CAUSE ERRORS DO NOT DO THAT!!!
#
#
#  ░██████╗██╗███╗░░░███╗██████╗░██╗░░░░░██╗███████╗██╗░░░██╗████████╗░█████╗░░█████╗░██╗░░░░░░██████╗
#  ██╔════╝██║████╗░████║██╔══██╗██║░░░░░██║██╔════╝╚██╗░██╔╝╚══██╔══╝██╔══██╗██╔══██╗██║░░░░░██╔════╝
#  ╚█████╗░██║██╔████╔██║██████╔╝██║░░░░░██║█████╗░░░╚████╔╝░░░░██║░░░██║░░██║██║░░██║██║░░░░░╚█████╗░
#  ░╚═══██╗██║██║╚██╔╝██║██╔═══╝░██║░░░░░██║██╔══╝░░░░╚██╔╝░░░░░██║░░░██║░░██║██║░░██║██║░░░░░░╚═══██╗
#  ██████╔╝██║██║░╚═╝░██║██║░░░░░███████╗██║██║░░░░░░░░██║░░░░░░██║░░░╚█████╔╝╚█████╔╝███████╗██████╔╝
#  ╚═════╝░╚═╝╚═╝░░░░░╚═╝╚═╝░░░░░╚══════╝╚═╝╚═╝░░░░░░░░╚═╝░░░░░░╚═╝░░░░╚════╝░░╚════╝░╚══════╝╚═════╝░
#
# Localization options
# Currently these languages included by default: en, hu. You can add another language in the lang folder.
language: 'en'
# Logging options
# If you enable one of them, a txt file will be created every day automatically with the current date.
Log:
  Chat: false #Chat messages
  Connect: false #Connections, disconnects
  Command: false #All command will be logged !for example private messaging, authme passwords!!
  #You can customize the format for the three types.
  # These values will be replaced like that: {DATE} = YYYY-MM-DD, {TIME} = HH:MM:SS, {ACTION} = [CHAT] or [COMMAND] etc..
  # Example connect in the log: [2020-12-08] - 19:07:04 - [CONNECT] - PlayerName UUID: 01010101-1010-asd1-1212-404826345656
  FormatChat: '[{DATE}] - {TIME} - {ACTION} - {PLAYERNAME}: {MSG}'
  FormatConnect: '[{DATE}] - {TIME} - {ACTION} - {PLAYERNAME} UUID: {UUID}' # Note: The disconnect message will be based on this too.
  FormatCommand: '[{DATE}] - {TIME} - {ACTION} - {PLAYERNAME}: {COMMAND}'

# Custom Advance Messages
# Replaces vanilla advancement broadcasting
CustomAdvancement:
  enabled: false
  formats:
    #  {NAME} represent the player's name.
    #  {ADV} represent the advancement name.
   advancement: '&l&f{NAME}&r &bhas completed the &f[&a&n{ADV}&r&f]&b advancement!'
   goal: '&l&f{NAME}&r&f]&b &bhas reached the  &f[&a&n{ADV}&r&f]&b goal!'
   challenge: '&l&f{NAME}&r &bcompleted the &f[&a&n{ADV}&r&f]&b challenge!'

# Tab Customization
#
# You can use Minecraft color, format codes with '&' in the texts.
# example: header: &cThis server is using SimplifyTools by &1SimplifyDave
# Note: Use \n to add a new line
# Note: The RAM values are in MB.
# {USEDRAM} {TOTALRAM} {FREERAM} {AVERAGEPING} {ONLINEPLAYERS} {MAXPLAYERS} {MOTD} represents their values.
# {UPTIME} will be replaced with the server's uptime in the following format: "xx days xx hours xx minutes"
# NOTICE: You will need a full MC server restart when you want to apply new settings here.
Tab:
  enabled: false # If you want to enable customization on the tab
  refreshRate: 1 # The refresh rate in SECONDS
  headerAnimation:
    - '&e&n{MOTD}\n&r&eOnline Players: &6{MAXPLAYERS}/{ONLINEPLAYERS}\n&eAverage ping: &6{AVERAGEPING} ms'
    - '&6&l&n{MOTD}\n&r&6Online Players: &e{MAXPLAYERS}/{ONLINEPLAYERS}\n&6Average ping: &e{AVERAGEPING} ms'
    #If you don't want animations, just leave one line text here!
    #- '&l&cThis is an example header text without animation\nAnd this is a new line!'

  footerAnimation:
    - '&l&7Server Statistics:\n&e&lRAM Usage: &6{TOTALRAM}MB / {USEDRAM}MB\n&e&lUptime: &6{UPTIME}\n&e&lTPS: &6{TPS}'
    - '&l&7Server Statistics:\n&6&lRAM Usage: &e{TOTALRAM}MB / {USEDRAM}MB\n&6&lUptime: &e{UPTIME}\n&6&lTPS: &e{TPS}'

# Custom Connect/Disconnect messages
CustomMsg:
  enabled: false
  connect: '{PREFIX}{NAME} &aconnected to the server.'
  disconnect: '{PREFIX}{NAME} left the game.'

# Auto Save options
# Saves Worlds/Users data to disk.
# Note: You can do a save like this with the /st save-all command.
# NOTICE: You will need a full MC server restart when you want to apply new settings here.
Saving:
  enabled: false
  onDisconnect: true # When a player disconnects
  interval: 1800 # Auto saving interval in SECONDS. If this set to zero it means disabled.
  broadcastMsgProgress: '{PREFIX}Auto save in progress..'
  broadcastMsgDone: '{PREFIX}Auto save done.'

# Server Password options
# You can configure a same password for all players on the server.
# Players not logged in can't move, cant build/destroy.
ServerPassword:
  enabled: false
  password: 'changeme'
  exceptOps: true # Server operators don't need to login.
  rememberUntilRestart: true # Set this to 'false' to player need to provide password each login.
  # Otherwise, each player need to provide password only once until the server is restarted.
  # Below settings are preventing the related actions until the password was not given by the player if the setting is 'true'.
  preventInventory: true
  preventMove: true
  preventBuild: true


# Cooldown options (only applicable for this plugin!)
Cooldown:
  enabled: true
  # The time must be passed between using this plugin commands.
  seconds: 2 #The command cooldown in seconds
  Msg: '{PREFIX} Please wait {SECONDS} seconds!' # The message when the user spamming a command
#
# Plugin Manager - Enable/Disable plugins without server restart
# Attention! It may cause errors in other plugins if you use this feature, not recommended!
# If this is set to 'true' you can use the /st pmanager commands. Set it to 'false' to prevent its use.
#
PluginManager:
  enabled: false
# Miscellaneous
Prefix: '&a[&fSimplify&7Tools&2] &4- &f'  # The prefix which is inserted to the beginning of every plugin message.
